#!/bin/sh
set -e

BUILD_ARGS=""

if [ -n "$BUILDBOX_COMMIT" ]; then
  BUILD_ARGS="$BUILD_ARGS --build-arg=BUILDBOX_COMMIT=$BUILDBOX_COMMIT"
fi
if [ -n "$BUILDGRID_COMMIT" ]; then
  BUILD_ARGS="$BUILD_ARGS --build-arg=BUILDGRID_COMMIT=$BUILDGRID_COMMIT"
fi
if [ -n "$LOGSTREAM_COMMIT" ]; then
  BUILD_ARGS="$BUILD_ARGS --build-arg=LOGSTREAM_COMMIT=$LOGSTREAM_COMMIT"
fi
if [ -n "$CHROOTBUILDER_COMMIT" ]; then
  BUILD_ARGS="$BUILD_ARGS --build-arg=CHROOTBUILDER_COMMIT=$CHROOTBUILDER_COMMIT"
fi
if [ -n "$USERCHROOT_COMMIT" ]; then
  BUILD_ARGS="$BUILD_ARGS --build-arg=USERCHROOT_COMMIT=$USERCHROOT_COMMIT"
fi

docker build --platform linux/amd64 --pull -t $CONTAINER_BASE_ENV_TEST_IMAGE ${BUILD_ARGS} -f e2e-environment-base.dockerfile .
docker push $CONTAINER_BASE_ENV_TEST_IMAGE
